Package org.apache.sysds.runtime.controlprogram.parfor

## Class TaskPartitionerFactoringCmax

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.TaskPartitioner
  - - org.apache.sysds.runtime.controlprogram.parfor.TaskPartitionerFactoring
    - - org.apache.sysds.runtime.controlprogram.parfor.TaskPartitionerFactoringCmax

    public class TaskPartitionerFactoringCmax
    extends TaskPartitionerFactoring

Factoring with maximum constraint (e.g., if LIX matrix out-of-core and we need to bound the maximum number of iterations per map task -> memory bounds)

### Constructor Summary

Constructors
`TaskPartitionerFactoringCmax​(long taskSize, int numThreads, long constraint, String iterVarName, IntObject fromVal, IntObject toVal, IntObject incrVal)`

### Method Summary

### Methods inherited from class org.apache.sysds.runtime.controlprogram.parfor.TaskPartitionerFactoring

`createTasks, createTasks`

### Methods inherited from class org.apache.sysds.runtime.controlprogram.parfor.TaskPartitioner

`getNumIterations`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TaskPartitionerFactoringCmax

    public TaskPartitionerFactoringCmax​(long taskSize,
                                        int numThreads,
                                        long constraint,
                                        String iterVarName,
                                        IntObject fromVal,
                                        IntObject toVal,
                                        IntObject incrVal)